API Reference / Developer Approve an installation or permission upgrade Activates the requested version of an installation and grants the permissions of that version. Only a manager of the target can approve. Send requestedVersionId in the body, an Idempotency-Key header, and a strong If-Match header. Returns revision_mismatch when the requested version has changed, and conflict when no approval is pending.
POST /api/v2/developer/installations/{installationId}/approve
Parameters # Property Type Location Description installationIdstringRequired path- Idempotency-KeystringRequired header- If-MatchstringRequired header-
Request # curl --request POST 'https://strave.gg/api/v2/developer/installations/INSTALLATION_ID/approve' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ targetobjectRequired - └ typestringRequired - └ idstringRequired - └ activeVersionIdstring | nullRequired - └ requestedVersionIdstring | nullRequired - └ approvedPermissionsstring[]Required - └ statusstringRequired - └ revisionintegerRequired - └ createdAtstringRequired - └ updatedAtstringRequired -